Retrieves all the equipment_model objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "8b82fa47-af80-41ed-97dc-979cfbcc67fc",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "a44b76d4-60c5-493d-a34d-62321f4c96bc",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "38a91dfc-3151-4e03-9a40-cfede6ad10c4",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "4dea539d-0c67-4fcc-8584-15da860cf7b2",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "ebdf123b-fd80-48b3-bf06-f0c2d5e62b81",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "7e12d9c3-d4cf-4bd4-82c2-8430aadd4572",
      "db_currency_id": "6c54eca6-f66f-48ea-a186-2a04b7d3c320",
      "db_language_id": "1aae171f-9407-493d-bf80-8809a24c84bb",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T20:58:42.8575915+00:00"
    },
    "modified_dateutc": "2026-11-12T20:58:42.8575915+00:00"
  },
  "equipment_family_id": "5156b603-8306-4b76-9277-fa1e52b7c41b",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "02c6cd8e-b6fa-438e-b840-e374808dd1e3",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "08f1b043-e215-4073-bf51-03a676e34153",
    "_parent_code": "sample string 6",
    "sales_organization_id": "33b04204-6d33-48e7-b4a2-948a1ace2c2f",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "ebdf123b-fd80-48b3-bf06-f0c2d5e62b81",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "7e12d9c3-d4cf-4bd4-82c2-8430aadd4572",
      "db_currency_id": "6c54eca6-f66f-48ea-a186-2a04b7d3c320",
      "db_language_id": "1aae171f-9407-493d-bf80-8809a24c84bb",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T20:58:42.8575915+00:00"
    },
    "modified_dateutc": "2026-11-12T20:58:42.8575915+00:00"
  },
  "date_in_production_since": "2026-11-12T20:58:42.8575915+00:00",
  "date_out_of_production_since": "2026-11-12T20:58:42.8575915+00:00",
  "date_end_support": "2026-11-12T20:58:42.8575915+00:00",
  "sales_organization_id": "eb0efe29-3ba6-42e9-925d-ab8dc29b5486",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "ebdf123b-fd80-48b3-bf06-f0c2d5e62b81",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "7e12d9c3-d4cf-4bd4-82c2-8430aadd4572",
    "db_currency_id": "6c54eca6-f66f-48ea-a186-2a04b7d3c320",
    "db_language_id": "1aae171f-9407-493d-bf80-8809a24c84bb",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-12T20:58:42.8575915+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-12T20:58:42.8575915+00:00"
}